Bug 235622 - xvoutput: Received X error: BadValue (integer parameter out of range for operation)
xvoutput: Received X error: BadValue (integer parameter out of range for oper...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tvtime (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-08 09:04 EDT by Michael Schwendt
Modified: 2008-03-21 18:09 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.1-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 18:04:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2007-04-08 09:04:32 EDT
When reducing the size of a tvtime window and moving it to the bottom
left corner of the GNOME desktop, tvtime crashes when switching to
full-screen size with key 'F'.

$ rpm -q tvtime
tvtime-1.0.1-6


With "tvtime -v" it looks like this:

xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 768x576 window inside 768x576 space.
xcommon: Received a map, marking window as visible (69).
[...]
xcommon: Displaying in a 531x398 window inside 531x421 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 540x405 window inside 540x421 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 542x406 window inside 542x421 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 1x1 window inside 135543928x1 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 1x1 window inside 135543928x1 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 1280x960 window inside 1280x1024 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 542x406 window inside 542x421 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 0x0 window inside 0x1 space.
xvoutput: Received X error: BadValue (integer parameter out of range for operation)
tvtime: Cleaning up.
Thank you for using tvtime.


Second try:

xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 768x576 window inside 768x576 space.
xcommon: Received a map, marking window as visible (69).
[...]
xcommon: Displaying in a 465x349 window inside 490x349 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 488x366 window inside 488x372 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 487x365 window inside 487x374 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 486x364 window inside 486x377 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 486x364 window inside 486x379 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 0x0 window inside 12420352x0 space.
xvoutput: Received X error: BadValue (integer parameter out of range for operation)
tvtime: Cleaning up.
Thank you for using tvtime.


Third try:

xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 768x576 window inside 768x576 space.
xcommon: Received a map, marking window as visible (69).
[...]
xcommon: Pixel aspect ratio 1:1.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 429x322 window inside 433x322 space.
xcommon: Pixel aspect ratio 1:1.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 0x0 window inside 12420352x0 space.
xvoutput: Received X error: BadValue (integer parameter out of range for operation)
tvtime: Cleaning up.
Thank you for using tvtime.
Comment 1 Tomas Smetana 2008-01-10 03:00:35 EST
Can you still reproduce the problem in the recent Fedora (7, 8, rawhide)?
Comment 2 Michael Schwendt 2008-01-10 03:25:05 EST
Yes, sure. It is easy to reproduce with F8. Didn't you try?

~/.xsession-errors adds:

Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a
timestamp of 0 for 0x4400001 (tvtime)
Window manager warning: meta_window_activate called by a pager with a 0
timestamp; the pager needs to be fixed.
Comment 3 Tomas Smetana 2008-01-10 04:03:23 EST
(In reply to comment #2)
> Yes, sure. It is easy to reproduce with F8. Didn't you try?

No, I didn't.  My office computer doesn't have a TV card or even Xv support. 
I've just became the tvtime maintainer so I go through the bugs to see which of
them are still actual (some are quite old).

I use tvtime at home but I haven't encountered this bug yet.  That's why I asked.

Thanks for the quick response.
Comment 4 Fedora Update System 2008-03-06 08:22:48 EST
tvtime-1.0.1-7.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-03-06 08:30:16 EST
tvtime-1.0.1-7.fc7 has been submitted as an update for Fedora 7
Comment 6 Fedora Update System 2008-03-07 14:51:47 EST
tvtime-1.0.1-7.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tvtime'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2339
Comment 7 Fedora Update System 2008-03-21 18:04:29 EDT
tvtime-1.0.1-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-03-21 18:09:52 EDT
tvtime-1.0.1-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.